Skip to content

Event mitigation annotation.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/event/{event_id}/mitigation_annotations
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/event/example/mitigation_annotations \
--header 'Authorization: <Authorization>'

Return mitigation annotations that occur while an event is active.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

event_id
required
string

Event ID ID of the event we want to GET mitigations for.

A successful response.

Media typeapplication/json
Event mitigations response

Response, list of mitigations associated with an event.

object
mitigations
Mitigations

List of mitigations related to the event.

Array<object>
MitigationAnnotation

Mitigation annotation.

object
annotation
Annotation

Annotation text.

string
<= 1024 characters
creator
Creator

Annotation creator.

string
<= 1024 characters
id
ID

Mitigation ID.

string
>= 1 <= 4094 <= 1024 characters
time
Time

Annotation creation time as an RFC3339 string.

string format: date-time
<= 1024 characters
Examplegenerated
{
"mitigations": [
{
"annotation": "example",
"creator": "example",
"id": "example",
"time": "2026-04-15T12:00:00Z"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example